Package lxml :: Module etree :: Class DocInfo

[frames] | no frames]

# Class DocInfo

    object --+
             |
            DocInfo

Document information provided by parser and DTD.

Instance Methods

__init__(...) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

a new object with type S, a subtype of T

__new__(T, S, ...) |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
| URL Returns the source URL of the document (or None if unknown).
| doctype Returns a DOCTYPE declaration string for the document.
| encoding Returns the encoding name as declared by the document.
| externalDTD Returns a DTD validator based on the external subset of the document.
| internalDTD Returns a DTD validator based on the internal subset of the document.
| public_id Returns the public ID of the DOCTYPE.
| root_name Returns the name of the root node as defined by the DOCTYPE.
| system_url Returns the system ID of the DOCTYPE.
| xml_version Returns the XML version as declared by the document.
Inherited from `object`: `__class__`

Method Details

### __init__(...)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__

### __new__(T, S, ...)

Returns: a new object with type S, a subtype of T
Overrides: object.__new__